Subject: Re: [PATCH v7 4/6] object-name: show date for ambiguous tag objects

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Jan 2022 11:04:59 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I still think the trade-off of not doing that discussed in the commit
> message is better, i.e. (to quote upthread):
>     
>     We could detect that and emit a "%s [bad tag object]" message (to go
>     with the existing generic "%s [bad object]"), but I don't think it's
>     worth the effort. Users are unlikely to ever run into cases where
>     they've got a broken object that's also ambiguous, and in case they do
>     output that's a bit nonsensical beats wasting translator time on this
>     obscure edge case.

Writing the above (and quoting it again to make me respond to it)
have already wasted a lot more time than a better solution that does
not lead to a misleading output, especially given that it was given
for free to you already.